Bug 234129 - searching for system users when using ldap and wireless
searching for system users when using ldap and wireless
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-27 05:35 EDT by Ola Thoresen
Modified: 2008-05-06 21:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:22:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ola Thoresen 2007-03-27 05:35:53 EDT
Description of problem:

The setting is:
We run an LDAP-server with all local users.
We have several desktops and laptops, all authenticating trough this ldap server.
When we are booting the laptops with only wireless (wep protected) starting
services like udev takes a really long time, and finally fails, with a "Will
continue in the background" message.
Desktops or laptops connected to the internal network with a cable starts udev
(and other services) fine (including the same laptops the will not start
services when running wireless only).

Version-Release number of selected component (if applicable):
udev-106-1.fc7
pam-0.99.7.1-3.fc7
nss_ldap-254-1


How reproducible:
Always

Steps to Reproduce:
1. Select "LDAP authentication" from system-config-users
2. Install a wireless card (with wep or wpa)
3. Reboot
  
Actual results:
Several services takes a really long time (several minutes) to time out before
they finally fails to start.

Expected results:
Service should start as expected.

Additional info:
I believe the problem is that the laptops for some reason tries to search the
ldap-server for system users, even though /etc/nsswitch.conf clearly states
passwd:     files ldap
shadow:     files ldap
group:      files ldap

I can try to fetch a dump from the ldap-server to see what happens when the
network cable is connected, so maybe it it possible to see what users it is
trying to search for.
Comment 1 Bug Zapper 2008-04-03 19:50:06 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 21:22:04 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.